ALSA project - the C library reference: /tmp/work/src/alsa-lib-1.2.12/include/error.h File Reference

ALSA project - the C library reference

Loading...
Searching...
No Matches
Macros | Typedefs | Functions | Variables
error.h File Reference

Application interface library for the ALSA driver. More...

Go to the source code of this file.

## Macros
#define | SND_ERROR_BEGIN 500000
#define | SND_ERROR_INCOMPATIBLE_VERSION (SND_ERROR_BEGIN+0)
#define | SND_ERROR_ALISP_NIL (SND_ERROR_BEGIN+1)
#define | SNDERR(args...) snd_lib_error(__FILE__, __LINE__, __func__, 0, ##args)
#define | SYSERR(args...) snd_lib_error(__FILE__, __LINE__, __func__, errno, ##args)

## Typedefs
typedef void(* | snd_lib_error_handler_t) (const char *file, int line, const char *function, int err, const char *fmt,...)
| Error handler callback.
typedef void(* | snd_local_error_handler_t) (const char *file, int line, const char *func, int err, const char *fmt, va_list arg)

## Functions
const char * | snd_strerror (int errnum)
| Returns the message for an error code.
int | snd_lib_error_set_handler (snd_lib_error_handler_t handler)
| Sets the error handler.
snd_local_error_handler_t | snd_lib_error_set_local (snd_local_error_handler_t func)
| Install local error handler.

## Variables
snd_lib_error_handler_t | snd_lib_error

## Detailed Description

Application interface library for the ALSA driver.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  1998-2001

Application interface library for the ALSA driver

## Typedef Documentation

## ◆ snd_local_error_handler_t

typedef void(* snd_local_error_handler_t) (const char *file, int line, const char *func, int err, const char *fmt, va_list arg)

Local error handler function type

## Function Documentation

## ◆ snd_lib_error_set_local()

snd_local_error_handler_t snd_lib_error_set_local | ( | snd_local_error_handler_t | func | ) |

Install local error handler.

Parameters

  func | The local error handler function

Return values

  Previous | local error handler function